com.ihr.xbrl.comparator

## Class Event

- java.lang.Object
- - com.ihr.xbrl.comparator.Event

- All Implemented Interfaces:
    java.io.Serializable

      public class Event
      extends java.lang.Object
      implements java.io.Serializable

  This is the object representation of a difference event between two objects in the from DTS and in the to DTS.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EV_ABSTRACT` The Constant EV_ABSTRACT.
    `static int` | `EV_ATTRIBUTE_DELETE` The Constant EV_ATTRIBUTE_DELETE.
    `static int` | `EV_ATTRIBUTE_NEW` The Constant EV_ATTRIBUTE_NEW.
    `static int` | `EV_ATTRIBUTES_INEQUALITY` The Constant EV_ATTRIBUTES_INEQUALITY.
    `static int` | `EV_BALANCE` The Constant EV_BALANCE.
    `static int` | `EV_BLOCK` The Constant EV_BLOCK.
    `static int` | `EV_CONCEPT_ATTRIBUTE` The Constant EV_CONCEPT_ATTRIBUTE.
    `static int` | `EV_CONCEPT_CHILD` The Constant EV_CONCEPT_CHILD.
    `static int` | `EV_CONCEPT_DELETE` The Constant EV_CONCEPT_DELETE.
    `static int` | `EV_CONCEPT_NAME` The Constant EV_CONCEPT_NAME.
    `static int` | `EV_CONCEPT_NAMESPACE` The Constant EV_CONCEPT_NAMESPACE.
    `static int` | `EV_CONCEPT_NEW` The Constant EV_CONCEPT_NEW.
    `static int` | `EV_CONCEPT_RELATIONSHIP_FROM` The Constant EV_CONCEPT_RELATIONSHIP_FROM.
    `static int` | `EV_CONCEPT_RELATIONSHIP_TO` The Constant EV_CONCEPT_RELATIONSHIP_TO.
    `static int` | `EV_CONCEPT_TYPE` The Constant EV_CONCEPT_TYPE.
    `static int` | `EV_DEFAULT` The Constant EV_DEFAULT.
    `static int` | `EV_FINAL` The Constant EV_FINAL.
    `static int` | `EV_FIXED` The Constant EV_FIXED.
    `static int` | `EV_NILLABLE` The Constant EV_NILLABLE.
    `static int` | `EV_NODE_DELETE` The Constant EV_NODE_DELETE.
    `static int` | `EV_NODE_NEW` The Constant EV_NODE_NEW.
    `static int` | `EV_NODES_INEQUALITY` The Constant EV_NODES_INEQUALITY.
    `static int` | `EV_PERIOD_TYPE` The Constant EV_PERIOD_TYPE.
    `static int` | `EV_RELATIONSHIP_ARCROLE` The Constant EV_RELATIONSHIP_ARCROLE.
    `static int` | `EV_RELATIONSHIP_ATTRIBUTE` The Constant EV_RELATIONSHIP_ATTRIBUTE.
    `static int` | `EV_RELATIONSHIP_DELETE` The Constant EV_RELATIONSHIP_DELETE.
    `static int` | `EV_RELATIONSHIP_NEW` The Constant EV_RELATIONSHIP_NEW.
    `static int` | `EV_RELATIONSHIP_NEXT` The Constant EV_RELATIONSHIP_NEXT.
    `static int` | `EV_RELATIONSHIP_PREVIOUS` The Constant EV_RELATIONSHIP_PREVIOUS.
    `static int` | `EV_RELATIONSHIP_PRIORITY` The Constant EV_RELATIONSHIP_PRIORITY.
    `static int` | `EV_RELATIONSHIP_SOURCE` The Constant EV_RELATIONSHIP_SOURCE.
    `static int` | `EV_RELATIONSHIP_TARGET` The Constant EV_RELATIONSHIP_TARGET.
    `static int` | `EV_RELATIONSHIP_TYPE` The Constant EV_RELATIONSHIP_TYPE.
    `static int` | `EV_RESOURCE_ATTRIBUTE` The Constant EV_RESOURCE_ATTRIBUTE.
    `static int` | `EV_RESOURCE_CONTENT` The Constant EV_RESOURCE_CONTENT.
    `static int` | `EV_RESOURCE_DELETE` The Constant EV_RESOURCE_DELETE.
    `static int` | `EV_RESOURCE_NEW` The Constant EV_RESOURCE_NEW.
    `static int` | `EV_RESOURCE_RELATIONSHIP_FROM` The Constant EV_RESOURCE_RELATIONSHIP_FROM.
    `static int` | `EV_RESOURCE_RELATIONSHIP_TO` The Constant EV_RESOURCE_RELATIONSHIP_TO.
    `static int` | `EV_RESOURCE_ROLE` The Constant EV_RESOURCE_ROLE.
    `static int` | `EV_RESOURCE_TYPE` The Constant EV_RESOURCE_TYPE.
    `static int` | `EV_RESOURCE_VALUE` The Constant EV_RESOURCE_VALUE.
    `static int` | `EV_SUBSTITUTIONGROUP` The Constant EV_SUBSTITUTIONGROUP.
    `static java.lang.String[]` | `eventDescription` The Constant eventDescription.
    `static java.lang.String[]` | `eventName` The Constant eventName.
    `static int` | `UNKNOWN` The Constant UNKNOWN.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event(net.sf.saxon.om.NodeInfo info, Event parent, VlVersioningProcessor processor)` Creates a new Event from a node with information about the event.
    `Event(java.lang.String note, int type, XMLFragment left, XMLFragment right, Event parent)` Instantiates a new event.
    `Event(XBRLFactTuple tuple, Event parent, VlVersioningProcessor processor)` Instantiates a new event.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Event diff)` Adds the.
    `boolean` | `equals(java.lang.Object other)`
    `java.util.Vector<Event>` | `getChildren()` Gets the children.
    `java.lang.String` | `getEventName()` The static string representing this event name.
    `XMLFragment` | `getFrom()` Gets the from.
    `java.lang.String` | `getItemParamFrom()` Gets the item param from.
    `java.lang.String` | `getItemParamTo()` Gets the item param to.
    `java.lang.String` | `getNote()` Gets the note.
    `Event` | `getParent()` Gets the parent.
    `Path` | `getPath()` Constructs a new DiffPath.
    `XMLFragment` | `getTo()` Gets the to.
    `int` | `getType()` return the Event type.
    `void` | `insertElementAt(Event event, int index)` Insert element at.
    `boolean` | `isEnding()` Checks if is ending.
    `boolean` | `isStarting()` Checks if is starting.
    `boolean` | `isVoid()` Returns true if this diff contains no useful path.
    `boolean` | `remove(Event event)` Removes the.
    `Event` | `remove(int index)` Removes the.
    `void` | `setChildren(java.util.Vector<Event> childrenDiffs)` Sets the children.
    `void` | `setFrom(XMLFragment left)` Sets the from.
    `void` | `setNote(java.lang.String note)` Sets the note.
    `void` | `setParent(Event diff)` Sets the parent.
    `void` | `setTo(XMLFragment right)` Sets the to.
    `void` | `setType(int newType)` Change the type to a new type.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      The Constant UNKNOWN.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_DELETE

          public static final int EV_CONCEPT_DELETE

      The Constant EV_CONCEPT_DELETE.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_NEW

          public static final int EV_CONCEPT_NEW

      The Constant EV_CONCEPT_NEW.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_NAMESPACE

          public static final int EV_CONCEPT_NAMESPACE

      The Constant EV_CONCEPT_NAMESPACE.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_NAME

          public static final int EV_CONCEPT_NAME

      The Constant EV_CONCEPT_NAME.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_TYPE

          public static final int EV_CONCEPT_TYPE

      The Constant EV_CONCEPT_TYPE.
      See Also:
        Constant Field Values

    - #### EV_SUBSTITUTIONGROUP

          public static final int EV_SUBSTITUTIONGROUP

      The Constant EV_SUBSTITUTIONGROUP.
      See Also:
        Constant Field Values

    - #### EV_PERIOD_TYPE

          public static final int EV_PERIOD_TYPE

      The Constant EV_PERIOD_TYPE.
      See Also:
        Constant Field Values

    - #### EV_BALANCE

          public static final int EV_BALANCE

      The Constant EV_BALANCE.
      See Also:
        Constant Field Values

    - #### EV_NILLABLE

          public static final int EV_NILLABLE

      The Constant EV_NILLABLE.
      See Also:
        Constant Field Values

    - #### EV_ABSTRACT

          public static final int EV_ABSTRACT

      The Constant EV_ABSTRACT.
      See Also:
        Constant Field Values

    - #### EV_BLOCK

          public static final int EV_BLOCK

      The Constant EV_BLOCK.
      See Also:
        Constant Field Values

    - #### EV_DEFAULT

          public static final int EV_DEFAULT

      The Constant EV_DEFAULT.
      See Also:
        Constant Field Values

    - #### EV_FIXED

          public static final int EV_FIXED

      The Constant EV_FIXED.
      See Also:
        Constant Field Values

    - #### EV_FINAL

          public static final int EV_FINAL

      The Constant EV_FINAL.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_RELATIONSHIP_FROM

          public static final int EV_CONCEPT_RELATIONSHIP_FROM

      The Constant EV_CONCEPT_RELATIONSHIP_FROM.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_RELATIONSHIP_TO

          public static final int EV_CONCEPT_RELATIONSHIP_TO

      The Constant EV_CONCEPT_RELATIONSHIP_TO.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_ATTRIBUTE

          public static final int EV_CONCEPT_ATTRIBUTE

      The Constant EV_CONCEPT_ATTRIBUTE.
      See Also:
        Constant Field Values

    - #### EV_CONCEPT_CHILD

          public static final int EV_CONCEPT_CHILD

      The Constant EV_CONCEPT_CHILD.
      See Also:
        Constant Field Values

    - #### EV_ATTRIBUTES_INEQUALITY

          public static final int EV_ATTRIBUTES_INEQUALITY

      The Constant EV_ATTRIBUTES_INEQUALITY.
      See Also:
        Constant Field Values

    - #### EV_NODES_INEQUALITY

          public static final int EV_NODES_INEQUALITY

      The Constant EV_NODES_INEQUALITY.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_DELETE

          public static final int EV_RELATIONSHIP_DELETE

      The Constant EV_RELATIONSHIP_DELETE.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_NEW

          public static final int EV_RELATIONSHIP_NEW

      The Constant EV_RELATIONSHIP_NEW.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_TYPE

          public static final int EV_RELATIONSHIP_TYPE

      The Constant EV_RELATIONSHIP_TYPE.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_SOURCE

          public static final int EV_RELATIONSHIP_SOURCE

      The Constant EV_RELATIONSHIP_SOURCE.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_TARGET

          public static final int EV_RELATIONSHIP_TARGET

      The Constant EV_RELATIONSHIP_TARGET.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_ARCROLE

          public static final int EV_RELATIONSHIP_ARCROLE

      The Constant EV_RELATIONSHIP_ARCROLE.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_PREVIOUS

          public static final int EV_RELATIONSHIP_PREVIOUS

      The Constant EV_RELATIONSHIP_PREVIOUS.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_NEXT

          public static final int EV_RELATIONSHIP_NEXT

      The Constant EV_RELATIONSHIP_NEXT.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_PRIORITY

          public static final int EV_RELATIONSHIP_PRIORITY

      The Constant EV_RELATIONSHIP_PRIORITY.
      See Also:
        Constant Field Values

    - #### EV_RELATIONSHIP_ATTRIBUTE

          public static final int EV_RELATIONSHIP_ATTRIBUTE

      The Constant EV_RELATIONSHIP_ATTRIBUTE.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_DELETE

          public static final int EV_RESOURCE_DELETE

      The Constant EV_RESOURCE_DELETE.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_NEW

          public static final int EV_RESOURCE_NEW

      The Constant EV_RESOURCE_NEW.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_TYPE

          public static final int EV_RESOURCE_TYPE

      The Constant EV_RESOURCE_TYPE.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_ROLE

          public static final int EV_RESOURCE_ROLE

      The Constant EV_RESOURCE_ROLE.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_RELATIONSHIP_FROM

          public static final int EV_RESOURCE_RELATIONSHIP_FROM

      The Constant EV_RESOURCE_RELATIONSHIP_FROM.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_RELATIONSHIP_TO

          public static final int EV_RESOURCE_RELATIONSHIP_TO

      The Constant EV_RESOURCE_RELATIONSHIP_TO.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_ATTRIBUTE

          public static final int EV_RESOURCE_ATTRIBUTE

      The Constant EV_RESOURCE_ATTRIBUTE.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_CONTENT

          public static final int EV_RESOURCE_CONTENT

      The Constant EV_RESOURCE_CONTENT.
      See Also:
        Constant Field Values

    - #### EV_RESOURCE_VALUE

          public static final int EV_RESOURCE_VALUE

      The Constant EV_RESOURCE_VALUE.
      See Also:
        Constant Field Values

    - #### EV_ATTRIBUTE_NEW

          public static final int EV_ATTRIBUTE_NEW

      The Constant EV_ATTRIBUTE_NEW.
      See Also:
        Constant Field Values

    - #### EV_ATTRIBUTE_DELETE

          public static final int EV_ATTRIBUTE_DELETE

      The Constant EV_ATTRIBUTE_DELETE.
      See Also:
        Constant Field Values

    - #### EV_NODE_NEW

          public static final int EV_NODE_NEW

      The Constant EV_NODE_NEW.
      See Also:
        Constant Field Values

    - #### EV_NODE_DELETE

          public static final int EV_NODE_DELETE

      The Constant EV_NODE_DELETE.
      See Also:
        Constant Field Values

    - #### eventName

          public static final java.lang.String[] eventName

      The Constant eventName.

    - #### eventDescription

          public static final java.lang.String[] eventDescription

      The Constant eventDescription.

  - ### Constructor Detail

    - #### Event

          public Event(java.lang.String note,
               int type,
               XMLFragment left,
               XMLFragment right,
               Event parent)

      Instantiates a new event.
      Parameters:
        `note` - the note
        `type` - the type
        `left` - the left
        `right` - the right
        `parent` - the parent

    - #### Event

          public Event(net.sf.saxon.om.NodeInfo info,
               Event parent,
               VlVersioningProcessor processor)

      Creates a new Event from a node with information about the event.
      Parameters:
        `info` - the info
        `parent` - the parent
        `processor` - the processor

    - #### Event

          public Event(XBRLFactTuple tuple,
               Event parent,
               VlVersioningProcessor processor)

      Instantiates a new event.
      Parameters:
        `tuple` - the tuple
        `parent` - the parent
        `processor` - the processor

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isEnding

          public boolean isEnding()

      Checks if is ending.
      Returns:
        true if this is a final Diff Event in a path

    - #### isStarting

          public boolean isStarting()

      Checks if is starting.
      Returns:
        true, if is starting

    - #### getPath

          public Path getPath()

      Constructs a new DiffPath. This DiffEvent will be the end of the path
      Returns:
        Path

    - #### getType

          public int getType()

      return the Event type. There is a static list of event types defined in this class
      Returns:
        integer

    - #### setType

          public void setType(int newType)

      Change the type to a new type.
      Parameters:
        `newType` - the new type

    - #### setFrom

          public void setFrom(XMLFragment left)

      Sets the from.
      Parameters:
        `left` - the new from

    - #### setTo

          public void setTo(XMLFragment right)

      Sets the to.
      Parameters:
        `right` - the new to

    - #### add

          public void add(Event diff)

      Adds the.
      Parameters:
        `diff` - the diff

    - #### setParent

          public void setParent(Event diff)

      Sets the parent.
      Parameters:
        `diff` - the new parent

    - #### setNote

          public void setNote(java.lang.String note)

      Sets the note.
      Parameters:
        `note` - the new note

    - #### getNote

          public java.lang.String getNote()

      Gets the note.
      Returns:
        the note

    - #### getFrom

          public XMLFragment getFrom()

      Gets the from.
      Returns:
        the from

    - #### getTo

          public XMLFragment getTo()

      Gets the to.
      Returns:
        the to

    - #### getChildren

          public java.util.Vector<Event> getChildren()

      Gets the children.
      Returns:
        the children

    - #### getParent

          public Event getParent()

      Gets the parent.
      Returns:
        the parent

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setChildren

          public void setChildren(java.util.Vector<Event> childrenDiffs)

      Sets the children.
      Parameters:
        `childrenDiffs` - Vector

    - #### isVoid

          public boolean isVoid()

      Returns true if this diff contains no useful path.
      Returns:
        boolean

    - #### getEventName

          public java.lang.String getEventName()

      The static string representing this event name.
      Returns:
        String

    - #### getItemParamFrom

          public java.lang.String getItemParamFrom()

      Gets the item param from.
      Returns:
        String

    - #### getItemParamTo

          public java.lang.String getItemParamTo()

      Gets the item param to.
      Returns:
        String

    - #### insertElementAt

          public void insertElementAt(Event event,
                             int index)

      Insert element at.
      Parameters:
        `event` - the event
        `index` - the index

    - #### remove

          public Event remove(int index)

      Removes the.
      Parameters:
        `index` - the index
      Returns:
        the event

    - #### remove

          public boolean remove(Event event)

      Removes the.
      Parameters:
        `event` - the event
      Returns:
        true, if successful